#!/bin/sh
# uncomment the next line to see more of the build process
#set -x
# BUILD script provided by Ready-to-Run Software, Inc.
# Copyright 1994 Ready-to-Run Software, Inc. All Rights Reserved.
BUILDDIR=`pwd`
SOURCEDIR=${SOURCEDIR-/cdrom/SOURCES}
if test ! -d $SOURCEDIR ; then 
   cd `dirname $0`/..; SOURCEDIR=`pwd`
   echo Assuming SOURCEDIR is $SOURCEDIR
   cd $BUILDDIR
fi
INSTALLDIR=${INSTALLDIR-/usr/local}
INSTALLSHAREDIR=${INSTALLSHAREDIR-/usr/local/share}
if test "$1" != ""; then 
   MACHINE=$1
fi
if test "$MACHINE" = ""; then 
   MACHINE=`$SOURCEDIR/../common/guess `
   echo "Assuming machine is $MACHINE"
fi
machine=$MACHINE
echo Ignore any errors about directories already existing
mkdir gnuchess
mkdir -p $INSTALLDIR
mkdir $INSTALLDIR/bin
mkdir $INSTALLDIR/lib
mkdir -p $INSTALLSHAREDIR
mkdir $INSTALLSHAREDIR/man
mkdir $INSTALLSHAREDIR/man/man1
mkdir $INSTALLSHAREDIR/doc
mkdir $INSTALLSHAREDIR/${SHAREPREFIX}bin
mkdir $INSTALLSHAREDIR/${SHAREPREFIX}lib
/bin/rm -f $BUILDDIR/zcat
/bin/ln -s $SOURCEDIR/../$machine/bin/zcat $BUILDDIR/zcat


cd $BUILDDIR/gnuchess
cat $SOURCEDIR/gnuchess/gn40p169.gz | $BUILDDIR/zcat -d -c | tar xvof -
cd gnuchess-4.0

(sed -e "s;<installsharedir>;$INSTALLSHAREDIR;" -e "s;<prefix>;$SHAREPREFIX;" -e "s;<installdir>;$INSTALLDIR;"  $SOURCEDIR/gnuchess/rtr/gnuchess | patch -p -s )
test -f $SOURCEDIR/gnuchess/$machine/gnuchess &&( sed -e "s;<installsharedir>;$INSTALLSHAREDIR;" -e "s;<prefix>;$SHAREPREFIX;" -e "s;<installdir>;$INSTALLDIR;"  $SOURCEDIR/gnuchess/$machine/gnuchess | patch -b .rtr -p -s )

cd src
make
if test "$RM" != "" ; then make install ; fi
if test "$RM" != "" ; then make install.man ; fi
if test "$RM" != "" ; then cp $SOURCEDIR/gnuchess/doc/*.1 $INSTALLSHAREDIR/man/man1/ ; fi

cd $BUILDDIR/gnuchess

cd $BUILDDIR
if test "$RM" != "" ; then rm -rf $BUILDDIR/gnuchess ; fi
